[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# GetShortName

Get the short (8.3) filename of a long filename.

## Declaration

Source position: dosh.inc line 119

`function GetShortName(`
`var p: string`
`):Boolean;`

## Description

This function is only implemented in the GO32V2 and Win32 versions of Free Pascal.

GetShortName changes the filename p to a short filename if the API call to do this is successful. The resulting string is the short file name corresponding to the long filename p.

The function returns True if the API call was successful, False otherwise.

This function should only be necessary when using the DOS extender under Windows 95 and higher.

## Errors

If the API call was not successful, False is returned.

## See also

GetLongName |  | Get the long filename of a DOS 8.3 filename.

Documentation generated on: Feb 26 2014